---
updatedAt: 2025-10-09T17:56:49.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Get Single Clipping Profile Metadata

v4

Retrieves one clipping profile Metadata.

#### Request

Request syntax:

GET /clipping-profiles/*Clipping Profile ID*/metadata/*Metadata ID*

Request URL variable:

Define the following variable when submitting the above request:

| VariableA variable represents a value that must be replaced. A variable consists of either a URL segment (e.g., "0001" in /0001/) or a query string value (e.g., "3" in mediaTypes=3). | Description                                                                                                                                                                                 |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Clipping Profile ID  Required                                                                                                                                                          | Identifies a clipping profile by its system-defined or external ID.  Use the [Get Multiple Clipping Profiles](#GetMultiple) endpoint to retrieve a list of clipping profiles and their IDs. |
| Metadata ID  Required                                                                                                                                                                  | Identifies a clipping profile metadata id by its system-defined ID                                                                                                                          |

#### Response

A successful request returns a 200 OK response that contains the following properties:

| Name                | Data Type     | Description                                                                                                                                     |
| ------------------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| @id                 | String        | Indicates the relative path to an endpoint that returns this clipping profile configuration.                                                    |
| @type               | String        | Returns ClippingProfileMetadata.                                                                                                                |
| created             | String        | Identifies the date and time (UTC) this integration was create. **Syntax**: *`{YYYY-MM-DDThh:mm:ss.ssssss}`Z* Example: 2024-04-04T16:35:46.054Z |
| lastmod             | String        | Identifies the date and time (UTC) this integration was create. **Syntax**: *`{YYYY-MM-DDThh:mm:ss.ssssss}`Z* Example: 2024-04-04T16:35:46.054Z |
| default\_value      | String        | Identifies the date and time (UTC) this integration was create. **Syntax**: *`{YYYY-MM-DDThh:mm:ss.ssssss}`Z* Example: 2024-04-04T16:35:46.054Z |
| id                  | String        | Identifies a clipping profile by its system-defined ID                                                                                          |
| include\_free\_form | String        | Indicates if free form is enabled                                                                                                               |
| include\_null       | String        | Indicates if “No Value” option is enabled                                                                                                       |
| input\_type         | String        | Indicates the type that is being used for the metadata                                                                                          |
| key                 | String        | The description of this metadata                                                                                                                |
| owner               | String        | Indicates the system-defined ID for the user that own this clipping profile metadata.                                                           |
| profile             | String        | Indicates the system-defined ID representing the clipping profile                                                                               |
| values              | List of Lists | Key/Value string pair as lists                                                                                                                  |

#### Sample Request/Response

The code below (Python 3) shows how to retrieve metadata for a single clipping profile.

This code imports names from the `api_auth` module for V4 APIs (see below).

<TutorialTile
  backgroundColor="#018FF4"
  emoji="🦉"
  id="682d18228dd6230012097fad"
  link="https://docs.uplynk.com/v2.0/recipes/api-auth-for-classic-authentication-v4-apis"
  slug="api-auth-for-classic-authentication-v4-apis"
  title="API Auth for Classic Authentication (V4 APIs)"
/> 

Request:

```python
			{
			"@id": "/api/v4/clipping-profiles/be1af15490e24399bb6c4f2a36384d66/metadata/704d17c332624569b3a6414a3422fdd1",
			"@type": "ClippingProfileMetadata",
			"created": "2024-05-07T15:27:41.767Z",
			"default_value": "",
			"id": "704d17c332624569b3a6414a3422fdd1",
			"include_free_form": False,
			"include_null": False,
			"input_type": "dropdown",
			"key": "blue_colors",
			"lastmod": "2024-05-07T15:42:35.345Z",
			"owner": "53b2162d19394227b56d5cdca5c3dc9f",
			"profile": "be1af15490e24399bb6c4f2a36384d66",
			"values": [
			["blue_dark", "Dark Blue"],
			["blue_egyptian", "Egyptian Blue"],
			["blue_liberty", "Liberty"],
			["blue_medium", "Medium Blue"],
			["blue_neon", "Neon Blue"],
			["blue_periwinkle", "Periwinkle"],
			["blue_savoy", "Savoy Blue"],
			["blue_ultra", "Ultramarine"],
			],
			}

```

Response:

```json
			{
			"@id": "/api/v4/clipping-profiles/be1af15490e24399bb6c4f2a36384d66/metadata/704d17c332624569b3a6414a3422fdd1",
			"@type": "ClippingProfileMetadata",
			"created": "2024-05-07T15:27:41.767Z",
			"default_value": "",
			"id": "704d17c332624569b3a6414a3422fdd1",
			"include_free_form": False,
			"include_null": False,
			"input_type": "dropdown",
			"key": "blue_colors",
			"lastmod": "2024-05-07T15:42:35.345Z",
			"owner": "53b2162d19394227b56d5cdca5c3dc9f",
			"profile": "be1af15490e24399bb6c4f2a36384d66",
			"values": [
			["blue_dark", "Dark Blue"],
			["blue_egyptian", "Egyptian Blue"],
			["blue_liberty", "Liberty"],
			["blue_medium", "Medium Blue"],
			["blue_neon", "Neon Blue"],
			["blue_periwinkle", "Periwinkle"],
			["blue_savoy", "Savoy Blue"],
			["blue_ultra", "Ultramarine"]
			]
		}
```